/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/components/ScScriptTag.ts":
/*!***************************************!*\
  !*** ./src/components/ScScriptTag.ts ***!
  \***************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _package_json__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../package.json */ "./package.json");

let version = 'NOT-SET';
if (_package_json__WEBPACK_IMPORTED_MODULE_0__ === null || _package_json__WEBPACK_IMPORTED_MODULE_0__ === void 0 ? void 0 : _package_json__WEBPACK_IMPORTED_MODULE_0__.version) {
    version = _package_json__WEBPACK_IMPORTED_MODULE_0__.version;
}
class ScScriptTag extends HTMLElement {
    constructor() {
        // Always call super first in constructor
        super();
    }
    connectedCallback() {
        // write element functionality in here   
        this.setAttribute('fb-component-version', version);
        const scriptEle = document.createRange().createContextualFragment(this.componentDefinition.html);
        document.body.append(scriptEle);
    }
}
customElements.define('sc-script-tag', ScScriptTag);
/* harmony default export */ __webpack_exports__["default"] = (ScScriptTag);


/***/ }),

/***/ "./package.json":
/*!**********************!*\
  !*** ./package.json ***!
  \**********************/
/***/ (function(module) {

module.exports = JSON.parse('{"name":"@formbird/sc-script-tag","version":"1.0.0","private":true,"scripts":{"test":"echo \\"Error: no test specified\\" && exit 1","build":"npx webpack && npx copyfiles dist/* ../../dist/sc-components/sc-script-tag","deploy":"webpack && npx copyfiles dist/* ../../../fieldtec-web/server/public/vendor/custom-component-modules/sc-components/sc-script-tag","watch":"webpack --watch"},"devDependencies":{"@formbird/types":"~3.3.2-next.21","ts-loader":"9.4.4","typescript":"4.1.3","webpack":"5.88.2","webpack-cli":"4.9.1"},"dependencies":{}}');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _components_ScScriptTag__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./components/ScScriptTag */ "./src/components/ScScriptTag.ts");


}();
/******/ })()
;
//# sourceMappingURL=sc-script-tag.js.map